Package org.oasis_open.docs.ws_calendar.ns.soap

# Class ParametersSelectionType

java.lang.Object
org.oasis_open.docs.ws_calendar.ns.soap.ParametersSelectionType

public class ParametersSelectionType extends Object
Used to contain updates to parameters. These updates are either a selection of a parameter to apply a change or addition or removal of parameters. Removals MUST be processed ahead of additions.

Java class for ParametersSelectionType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ParametersSelectionType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="parameter" type="{http://docs.oasis-open.org/ws-calendar/ns/soap}ParameterSelectionType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="remove" type="{http://docs.oasis-open.org/ws-calendar/ns/soap}ParameterReferenceType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="add" type="{http://docs.oasis-open.org/ws-calendar/ns/soap}ParameterReferenceType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<ParameterReferenceType>`
  `add`
  `protected List<ParameterSelectionType>`
  `parameter`
  `protected List<ParameterReferenceType>`
  `remove`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParametersSelectionType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ParameterReferenceType>`
  `getAdd()`
  Gets the value of the add property.
  `List<ParameterSelectionType>`
  `getParameter()`
  Gets the value of the parameter property.
  `List<ParameterReferenceType>`
  `getRemove()`
  Gets the value of the remove property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### parameter

    protected List<ParameterSelectionType> parameter

  - ### remove

    protected List<ParameterReferenceType> remove

  - ### add

    protected List<ParameterReferenceType> add

- ## Constructor Details

  - ### ParametersSelectionType

    public ParametersSelectionType()

- ## Method Details

  - ### getParameter

    public List<ParameterSelectionType> getParameter()
    Gets the value of the parameter property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the parameter property.

    For example, to add a new item, do as follows:

            getParameter().add(newItem);

    Objects of the following type(s) are allowed in the list `ParameterSelectionType`

  - ### getRemove

    public List<ParameterReferenceType> getRemove()
    Gets the value of the remove property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the remove property.

    For example, to add a new item, do as follows:

            getRemove().add(newItem);

    Objects of the following type(s) are allowed in the list `ParameterReferenceType`

  - ### getAdd

    public List<ParameterReferenceType> getAdd()
    Gets the value of the add property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the add property.

    For example, to add a new item, do as follows:

            getAdd().add(newItem);

    Objects of the following type(s) are allowed in the list `ParameterReferenceType`